CLOUD-BRIDGE_INVENTORY_HISTORICAL-METRIC(1)

NAME
cloud-bridge_inventory_historical-metric -

DESCRIPTION

Metric details.

AVAILABLE COMMANDS

•   list

•   submit

  list

•   Description

•   Usage

•   Required Parameters

•   Optional Parameters

•   Global Parameters

•   Example using required parameter

  Description

List asset historical metrics.

  Usage

oci cloud-bridge inventory historical-metric list [OPTIONS]

  Required Parameters

--asset-id [text]

    Unique asset identifier.

  Optional Parameters

--all

    Fetches all pages of results. If you provide this option, then you cannot provide the --limit option.

--from-json [text]

    Provide input to this command as a JSON document from a file using the file://path-to/file syntax.

    The --generate-full-command-json-input option can be used to generate a sample json file to be used with this command option. The key names are pre-populated and match the command option names (converted to camelCase format, e.g. compartment-id –> compartmentId), while the values of the keys need to be populated by the user before using the sample file as an input to this command. For any command option that accepts multiple values, the value of the key can be a JSON array.

    Options can still be provided on the command line. If an option exists in both the JSON document and the command line then the command line specified value will be used.

    For examples on usage of this option, please see our “using CLI with advanced JSON options” link: https://docs.cloud.oracle.com/iaas/Content/API/SDKDocs/cliusing.htm#AdvancedJSONOptions

--limit [integer]

    The maximum number of items to return.

--page [text]

    A token representing the position at which to start retrieving results. This must come from the opc-next-page header field of a previous response.

--page-size [integer]

    When fetching results, the number of results to fetch per call. Only valid when used with --all or --limit, and ignored otherwise.

--sort-by [text]

    The field to sort by. Only one sort order may be provided. Default order for timeCreated is descending. Default order for displayName is ascending.

    Accepted values are:

    displayName, timeCreated, timeUpdated

--sort-order [text]

    The sort order to use, either ‘ASC’ or ‘DESC’.

    Accepted values are:

    ASC, DESC

  Global Parameters

Use oci --help for help on global parameters.

--auth-purpose, --auth, --cert-bundle, --cli-auto-prompt, --cli-rc-file, --config-file, --connection-timeout, --debug, --defaults-file, --endpoint, --generate-full-command-json-input, --generate-param-json-input, --help, --latest-version, --max-retries, --no-retry, --opc-client-request-id, --opc-request-id, --output, --profile, --proxy, --query, --raw-output, --read-timeout, --realm-specific-endpoint, --region, --release-info, --request-id, --version, -?, -d, -h, -i, -v

  Example using required parameter

Copy the following CLI commands into a file named example.sh. Run the command by typing “bash example.sh” and replacing the example parameters with your own.

Please note this sample will only work in the POSIX-compliant bash-like shell. You need to set up the OCI configuration <https://docs.oracle.com/en-us/iaas/Content/API/SDKDocs/cliinstall.htm#configfile> and appropriate security policies <https://docs.oracle.com/en-us/iaas/Content/Identity/Concepts/policygetstarted.htm> before trying the examples.

    export compartment_id=<substitute-value-of-compartment_id> # https://docs.cloud.oracle.com/en-us/iaas/tools/oci-cli/latest/oci_cli_docs/cmdref/cloud-bridge/inventory/inventory/create.html#cmdoption-compartment-id
    export display_name=<substitute-value-of-display_name> # https://docs.cloud.oracle.com/en-us/iaas/tools/oci-cli/latest/oci_cli_docs/cmdref/cloud-bridge/inventory/inventory/create.html#cmdoption-display-name
    export asset_type=<substitute-value-of-asset_type> # https://docs.cloud.oracle.com/en-us/iaas/tools/oci-cli/latest/oci_cli_docs/cmdref/cloud-bridge/inventory/asset/create.html#cmdoption-asset-type
    export external_asset_key=<substitute-value-of-external_asset_key> # https://docs.cloud.oracle.com/en-us/iaas/tools/oci-cli/latest/oci_cli_docs/cmdref/cloud-bridge/inventory/asset/create.html#cmdoption-external-asset-key
    export source_key=<substitute-value-of-source_key> # https://docs.cloud.oracle.com/en-us/iaas/tools/oci-cli/latest/oci_cli_docs/cmdref/cloud-bridge/inventory/asset/create.html#cmdoption-source-key
    inventory_id=$(oci cloud-bridge inventory inventory create --compartment-id $compartment_id --display-name $display_name --query data.id --raw-output)
    asset_id=$(oci cloud-bridge inventory asset create --asset-type $asset_type --compartment-id $compartment_id --external-asset-key $external_asset_key --inventory-id $inventory_id --source-key $source_key --query data.id --raw-output)
    oci cloud-bridge inventory historical-metric list --asset-id $asset_id

  submit

•   Description

•   Usage

•   Required Parameters

•   Optional Parameters

•   Global Parameters

•   Example using required parameter

  Description

Creates or updates all metrics related to the asset.

  Usage

oci cloud-bridge inventory historical-metric submit [OPTIONS]

  Required Parameters

--asset-id [text]

    Unique asset identifier.

--historical-metrics [complex type]

    List of asset historical metrics. This is a complex type whose value must be valid JSON. The value can be provided as a string on the command line or passed in as a file using the file://path/to/file syntax.

    The --generate-param-json-input option can be used to generate an example of the JSON which must be provided. We recommend storing this example in a file, modifying it as needed and then passing it back in via the file:// syntax.

  Optional Parameters

--from-json [text]

    Provide input to this command as a JSON document from a file using the file://path-to/file syntax.

    The --generate-full-command-json-input option can be used to generate a sample json file to be used with this command option. The key names are pre-populated and match the command option names (converted to camelCase format, e.g. compartment-id –> compartmentId), while the values of the keys need to be populated by the user before using the sample file as an input to this command. For any command option that accepts multiple values, the value of the key can be a JSON array.

    Options can still be provided on the command line. If an option exists in both the JSON document and the command line then the command line specified value will be used.

    For examples on usage of this option, please see our “using CLI with advanced JSON options” link: https://docs.cloud.oracle.com/iaas/Content/API/SDKDocs/cliusing.htm#AdvancedJSONOptions

--if-match [text]

    For optimistic concurrency control. In the PUT or DELETE call for a resource, set the if-match parameter to the value of the etag from a previous GET or POST response for that resource. The resource will be updated or deleted only if the etag you provide matches the resource’s current etag value.

  Global Parameters

Use oci --help for help on global parameters.

--auth-purpose, --auth, --cert-bundle, --cli-auto-prompt, --cli-rc-file, --config-file, --connection-timeout, --debug, --defaults-file, --endpoint, --generate-full-command-json-input, --generate-param-json-input, --help, --latest-version, --max-retries, --no-retry, --opc-client-request-id, --opc-request-id, --output, --profile, --proxy, --query, --raw-output, --read-timeout, --realm-specific-endpoint, --region, --release-info, --request-id, --version, -?, -d, -h, -i, -v

  Example using required parameter

Copy and paste the following example into a JSON file, replacing the example parameters with your own.

    oci cloud-bridge inventory historical-metric submit --generate-param-json-input historical-metrics > historical-metrics.json

Copy the following CLI commands into a file named example.sh. Run the command by typing “bash example.sh” and replacing the example parameters with your own.

Please note this sample will only work in the POSIX-compliant bash-like shell. You need to set up the OCI configuration <https://docs.oracle.com/en-us/iaas/Content/API/SDKDocs/cliinstall.htm#configfile> and appropriate security policies <https://docs.oracle.com/en-us/iaas/Content/Identity/Concepts/policygetstarted.htm> before trying the examples.

    export compartment_id=<substitute-value-of-compartment_id> # https://docs.cloud.oracle.com/en-us/iaas/tools/oci-cli/latest/oci_cli_docs/cmdref/cloud-bridge/inventory/inventory/create.html#cmdoption-compartment-id
    export display_name=<substitute-value-of-display_name> # https://docs.cloud.oracle.com/en-us/iaas/tools/oci-cli/latest/oci_cli_docs/cmdref/cloud-bridge/inventory/inventory/create.html#cmdoption-display-name
    export asset_type=<substitute-value-of-asset_type> # https://docs.cloud.oracle.com/en-us/iaas/tools/oci-cli/latest/oci_cli_docs/cmdref/cloud-bridge/inventory/asset/create.html#cmdoption-asset-type
    export external_asset_key=<substitute-value-of-external_asset_key> # https://docs.cloud.oracle.com/en-us/iaas/tools/oci-cli/latest/oci_cli_docs/cmdref/cloud-bridge/inventory/asset/create.html#cmdoption-external-asset-key
    export source_key=<substitute-value-of-source_key> # https://docs.cloud.oracle.com/en-us/iaas/tools/oci-cli/latest/oci_cli_docs/cmdref/cloud-bridge/inventory/asset/create.html#cmdoption-source-key
    inventory_id=$(oci cloud-bridge inventory inventory create --compartment-id $compartment_id --display-name $display_name --query data.id --raw-output)
    asset_id=$(oci cloud-bridge inventory asset create --asset-type $asset_type --compartment-id $compartment_id --external-asset-key $external_asset_key --inventory-id $inventory_id --source-key $source_key --query data.id --raw-output)
    oci cloud-bridge inventory historical-metric submit --asset-id $asset_id --historical-metrics file://historical-metrics.json

AUTHOR
Oracle

COPYRIGHT
2016, 2024, Oracle